package com.ym.mec.biz.dal.entity;

import io.swagger.annotations.ApiModelProperty;
import org.apache.commons.lang3.builder.ToStringBuilder;

/**
 * 对应数据库表(music_group_purchase_list):
 */
public class MusicGroupPurchaseList {

	/**  */
	private Integer id;
	
	/**  */
	@ApiModelProperty(value = "乐团编号",required = false)
	private String musicGroupId;
	
	/**  */
	@ApiModelProperty(value = "商品编号",required = false)
	private Integer goodsId;
	
	/** 采购数量 */
	@ApiModelProperty(value = "采购数量",required = false)
	private Integer purchaseNum;
	
	/**  */
	private java.util.Date createTime;
	
	/**  */
	private java.util.Date updateTime;
	
	public void setId(Integer id){
		this.id = id;
	}
	
	public Integer getId(){
		return this.id;
	}
			
	public void setMusicGroupId(String musicGroupId){
		this.musicGroupId = musicGroupId;
	}
	
	public String getMusicGroupId(){
		return this.musicGroupId;
	}
			
	public void setGoodsId(Integer goodsId){
		this.goodsId = goodsId;
	}
	
	public Integer getGoodsId(){
		return this.goodsId;
	}
			
	public void setPurchaseNum(Integer purchaseNum){
		this.purchaseNum = purchaseNum;
	}
	
	public Integer getPurchaseNum(){
		return this.purchaseNum;
	}
			
	public void setCreateTime(java.util.Date createTime){
		this.createTime = createTime;
	}
	
	public java.util.Date getCreateTime(){
		return this.createTime;
	}
			
	public void setUpdateTime(java.util.Date updateTime){
		this.updateTime = updateTime;
	}
	
	public java.util.Date getUpdateTime(){
		return this.updateTime;
	}
			
	@Override
	public String toString() {
		return ToStringBuilder.reflectionToString(this);
	}

}
